//////////////////////////////////////////////////////////////////////////
//
// pgAdmin III - PostgreSQL Tools
// RCS-ID:      $Id:  $
// Copyright (C) 2002 - 2009, The pgAdmin Development Team
// This software is released under the Artistic Licence
//
// dlgExtTable.h - Greenplum External Table property 
//
//////////////////////////////////////////////////////////////////////////


#ifndef __DLG_EXTTABLEPROP
#define __DLG_EXTTABLEPROP

#include "dlg/dlgProperty.h"

class pgSchema;
class pgExtTable;
class ctlSQLBox;

class dlgExtTable : public dlgSecurityProperty
{
public:
    dlgExtTable(pgaFactory *factory, frmMain *frame, pgExtTable *v, pgSchema *sch);
    int Go(bool modal);

    void CheckChange();
    wxString GetSql();
    pgObject *CreateObject(pgCollection *collection);
    pgObject *GetObject();

    void SetObject(pgObject *obj) { extTable = (pgExtTable*)obj; }

private:

    virtual bool IsUpToDate();

    pgSchema *schema;
    pgExtTable *extTable;
    wxString oldDefinition;

    DECLARE_EVENT_TABLE()
};


#endif
